Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \ --url https://api.turnkey.com/public/v1/query/validate_tvc_image \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --header "X-Stamp: <string> (see Authorizations)" \ --data '{ "organizationId": "<string>", "pivotContainerImageUrl": "<string>", "pivotContainerEncryptedPullSecret": "<string>" }'
import { Turnkey } from "@turnkey/sdk-server"; const turnkeyClient = new Turnkey({ apiBaseUrl: "https://api.turnkey.com", apiPublicKey: process.env.API_PUBLIC_KEY!, apiPrivateKey: process.env.API_PRIVATE_KEY!, defaultOrganizationId: process.env.ORGANIZATION_ID!, }); const response = await turnkeyClient.apiClient().validateTvcImage({ organizationId: "<string> (Unique identifier for a given Organization.)", pivotContainerImageUrl: "<string> (URL of the container image.)", pivotContainerEncryptedPullSecret: "<string> (HPKE-encrypted pull secret for private images.)" });
{ "resolvedImageDigest": "<string>" }
Validate a container image URL and pull secret for TVC deployment
Was this page helpful?